Bug 1751852 - Xfce is using upstream desktop background
Summary: Xfce is using upstream desktop background
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdesktop
Version: 31
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F31FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2019-09-12 17:19 UTC by Paul Whalen
Modified: 2019-09-24 03:11 UTC (History)
6 users (show)

Fixed In Version: xfdesktop-4.14.1-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-24 03:11:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Paul Whalen 2019-09-12 17:19:06 UTC
Description of problem:
Xfce spin is using the upstream desktop background in F31. 

Version-Release number of selected component (if applicable):
xfdesktop-4.14.1-1.fc31

Comment 1 Kevin Fenzi 2019-09-12 20:02:57 UTC
I thought it would be as easy as: 

diff --git a/xfdesktop.spec b/xfdesktop.spec
index 0fa406f..6a44e6f 100644
--- a/xfdesktop.spec
+++ b/xfdesktop.spec
@@ -2,7 +2,7 @@
 
 Name:           xfdesktop
 Version:        4.14.1
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Desktop manager for the Xfce Desktop Environment
 
 License:        GPLv2+
@@ -39,7 +39,7 @@ This package includes a desktop manager for the Xfce Desktop Environment.
 %setup -q
 
 # change default background for Fedora
-sed -i 's/\/backgrounds\/xfce\/xfce-teal.jpg/\/backgrounds\/images\/default.png/g' common/xfdesktop-common.h
+sed -i 's/\/backgrounds\/xfce\/xfce-stripes.png/\/backgrounds\/images\/default.png/g' common/xfdesktop-common.h
 
 %build
 %configure
@@ -69,6 +69,9 @@ desktop-file-validate \
 
 
 %changelog
+* Thu Sep 12 2019 Kevin Fenzi <kevin@scrye.com> - 4.14.1-2
+- Fix the default background. Upstream changed default, we need to adjust our change.
+
 * Mon Aug 12 2019 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.14.1-1
 - Update to 4.14.1

But that didn't seem to do it. Will investigate more.

Comment 2 Adam Williamson 2019-09-12 20:03:26 UTC
+1 Final blocker.

Comment 3 Adam Williamson 2019-09-12 20:04:03 UTC
why would you escape all those slashes and not just use a different separator for the sed command :P

Comment 4 Kevin Fenzi 2019-09-12 22:33:19 UTC
I didn't write the orig sed there, was just modifying it, but sure could do that. 

(but note that the sed change works, I am not sure why it's not defaulting properly after that).

Comment 5 Fedora Update System 2019-09-15 21:39:06 UTC
FEDORA-2019-ff99c07a62 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff99c07a62

Comment 6 Kevin Fenzi 2019-09-15 21:39:50 UTC
So, this really does fix things in my testing, so I am going to push it for more feedback. 

Note: The first time you login your user would get a local to them xfconf entry with the default background. So, if you logged in at anytime with a user it may well have the OLD wrong background. 

So, this should be tested with either a fresh install, or at least a fresh user.

Comment 7 Fedora Update System 2019-09-16 02:05:27 UTC
xfdesktop-4.14.1-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff99c07a62

Comment 8 Geoffrey Marr 2019-09-16 18:35:54 UTC
Discussed during the 2019-09-16 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedBlocker" was made as it violates the following criterion:

"The proposed final Fedora artwork must be included and used as the background on release-blocking desktops..."

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-09-16/f31-blocker-review.2019-09-16-16.02.txt

Comment 9 František Zatloukal 2019-09-19 14:28:36 UTC
xfdesktop-4.14.1-2.fc31 fixes the default wallpaper for new users.

Comment 10 Fedora Update System 2019-09-24 03:11:16 UTC
xfdesktop-4.14.1-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.